﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Phone.Scheduler;

namespace Phone本地通知
{
    public partial class Page1 : PhoneApplicationPage
    {
        public Page1()
        {
            InitializeComponent();
        }
        IEnumerable<ScheduledNotification> notifications;
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            ListboxInit();
            base.OnNavigatedTo(e);
        }

        private void ListboxInit()
        {
            //返回系统所有已注册的通知
            notifications = ScheduledActionService.GetActions<ScheduledNotification>();
            listbox1.ItemsSource = notifications;
        }
        //删除一个通知
        private void deleteButton_Click(object sender, RoutedEventArgs e)
        {
            string name = (string)((Button)sender).Tag;
            ScheduledActionService.Remove(name);
            ListboxInit();
        }

        //新增一个通知
        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            String name = System.Guid.NewGuid().ToString();
            if (radioButton1.IsChecked == true)
            {
                //名称，唯一标识
                Reminder reminder = new Reminder(name);
                //消息标题
                reminder.Title = textbox1.Text;
                reminder.Content = "这里是提醒的正文部分。";
                //消息重现类型
                reminder.RecurrenceType = RecurrenceInterval.Daily;
                //开始时间
                reminder.BeginTime = DateTime.Now + new TimeSpan(0, 0, 30);
                //结束时间
                reminder.ExpirationTime = DateTime.Now + new TimeSpan(0, 0, 45);
                //从提醒启动应用程序时的启动URI
                reminder.NavigationUri = new Uri("/Page2.xaml?a=test", UriKind.Relative);
                //注册
                ScheduledActionService.Add(reminder);
            }
            else
            {
                //可以自定义铃声的通知
                Alarm alarm = new Alarm(name);
                alarm.Content = "这里是闹钟的正文部分。";
                //提醒时播放的文件
                alarm.Sound = new Uri("/1.mp3", UriKind.Relative);
                //消息重现类型
                alarm.RecurrenceType = RecurrenceInterval.Daily;
                //开始时间
                alarm.BeginTime = DateTime.Now + new TimeSpan(0, 0, 30);
                //结束时间
                alarm.ExpirationTime = DateTime.Now + new TimeSpan(0, 1, 30);
                //注册
                ScheduledActionService.Add(alarm);
            }
            ListboxInit();
        }
    }
}